gdaltransform(1)

NAME
gdaltransform - gdaltransform transforms coordinates

SYNOPSIS

gdaltransform [--help-general]
	[i] [-s_srs srs_def] [-t_srs srs_def] [-order n] ] [-tps]
	[-gcp pixel line easting northing [elevation]]*
	[srcfile [dstfile]]

DESCRIPTION

The gdaltransform utility reprojects a list of coordinates into any supported projection,including GCP-based transformations.

-s_srs srs def:
    source spatial reference set. The coordinate systems that can be passed are anything supported by the OGRSpatialReference.SetFromUserInput() call, which includes EPSG PCS and GCSes (ie. EPSG:4296), PROJ.4 declarations (as above), or the name of a .prf file containing well known text.

-t_srs srs_def:
    target spatial reference set. The coordinate systems that can be passed are anything supported by the OGRSpatialReference.SetFromUserInput() call, which includes EPSG PCS and GCSes (ie. EPSG:4296), PROJ.4 declarations (as above), or the name of a .prf file containing well known text.

-order n:
    order of polynomial used for warping (1 to 3). The default is to select a polynomial order based on the number of GCPs.

-tps
    Enable use of thin plate spline transformer based on available GCPs. Use this instead of the -order switch.

-i  Inverse transformation: from destination to source.

srcfile:
    File with source projection definition or GCP's. If not given, source projection is read from the command-line -s_srs or -gcp parameters

dstfile:
    File with destination projection definition.

Coordinates are read as pairs (or triples) of numbers per line from standard input, transformed, and written out to standard output in the same way. All transformations offered by gdalwarp are handled, including gcp-based ones.

Note that input and output must always be in decimal form. There is currently no support for DMS input or output.

EXAMPLE

gdaltransform -s_srs epsg:28992 -t_srs epsg:31370
177502 311865
244510.77404604 166154.532871342 -1046.79270555763

AUTHORS

Frank Warmerdam <warmerdam@pobox.com>, Jan Hartmann <j.l.h.hartmann@uva.nl>